# -*- coding: cp1252 -*-
class BiffRecord(object):
    pass

class PanesRecord(BiffRecord):
    """

    If the panes are frozen, pane0 is always active, regardless
    *** \xa0 in above line between "pane" and "0" ***
    of the cursor position. The correct identifiers for all possible
    """
    _REC_ID = 0x0041
    def __init__(self, px, py, first_row_bottom, first_col_right, active_pane):
        self._rec_data = pack('<5H',
                                            px, py,
                                            first_row_bottom, first_col_right,
                                            active_pane)

class RefModeRecord(BiffRecord):
    """
    This record is part of the Calculation Settings Block.
    It stores which method is used to show cell addresses in formulas.
    *** \x93 and \x94 in next 4 lines ***
    The RC mode uses numeric indexes for rows and columns,
    i.e. R(1)C(-1), or R1C1:R2C2.
    The A1 mode uses characters for columns and numbers for rows,
    i.e. B1, or $A$1:$B$2.

    Record REFMODE, BIFF2-BIFF8:

    Offset  Size    Contents
    0       2       0 = RC mode; 1 = A1 mode

    """
    _REC_ID = 0x00F

    def __init__(self, ref_mode):
        self._rec_data = pack('<H', ref_mode)

